Subject: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 May 2014 19:05:07 +0300

> From: Nicolas Richard <[email-masked]>
> Cc: Andreas Schwab <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 28 May 2014 22:47:36 +0200
> 
> >> From: Andreas Schwab <[email-masked]>
> >> Most likely nothing, since it is supposed to be transparent to the tmux
> >> or screen instance.
> 
> fwiw, this was confirmed to me on IRC in #tmux.
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> > How is Emacs supposed to get the screen dimension when tmux is
> > attached?  It looks like Emacs saw (or maybe fell back on) a 23-line
> > text terminal when it expected to see more than that (at least 42)
> > from the beginning of the session.
> >
> > Nicolas, is the screen size supposed to be the same when you detach
> > and re-attach, and if so, what size do you expect it to be?
> 
> The size of my screen (read : the size of my gnome-terminal frame) can
> be different when I detach and when I reattach (because I sometimes
> maximize the frame, some other times not -- also because I use screen of
> different sizes.)
> 
> On my laptop, over ssh:
> - when I don't maximize my gnome-terminal frame, then gdb reports:
>   FrameRows(current_tty) = 23.
> - If the gnome-terminal frame is maximized, gdb reports 42.
> 
> (In case you wonder, I tried detaching when not-maximized, then
> maximizing gnome-terminal and then reattaching : it worked fine.)

So I guess tmux is not issuing the ioctl that Andreas mentioned, and
Emacs doesn't get SIGWINCH, and so doesn't know the screen dimensions
changed.